Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFGraphicContext.Group

    java.lang.Object
      org.apache.fop.render.intermediate.IFGraphicContext.Group

Direct Known Subclasses:
  IFGraphicContext.Viewport

Enclosing class:
  IFGraphicContext

public static class IFGraphicContext.Group
extends java.lang.Object

Constructor Summary
`IFGraphicContext.Group()`
`IFGraphicContext.Group(java.awt.geom.AffineTransform transform)`
`IFGraphicContext.Group(java.awt.geom.AffineTransform[] transforms)`

Method Summary
`void` | `end(IFPainter painter)`
`java.awt.geom.AffineTransform[]` | `getTransforms()`
`void` | `start(IFPainter painter)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IFGraphicContext.Group

    public IFGraphicContext.Group(java.awt.geom.AffineTransform[] transforms)

### IFGraphicContext.Group

    public IFGraphicContext.Group(java.awt.geom.AffineTransform transform)

### IFGraphicContext.Group

    public IFGraphicContext.Group()

Method Detail

### getTransforms

    public java.awt.geom.AffineTransform[] getTransforms()

### start

    public void start(IFPainter painter)
               throws IFException

  Throws:
    `IFException`

### end

    public void end(IFPainter painter)
             throws IFException

  Throws:
    `IFException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.